# GpgFrontend Project: GpgFrontend::UI::VersionCheckThread Class Reference

GpgFrontend::UI::VersionCheckThread Class Reference
Inheritance diagram for GpgFrontend::UI::VersionCheckThread:
Collaboration diagram for GpgFrontend::UI::VersionCheckThread:

## Signals

void | SignalUpgradeVersion (SoftwareVersion version)

## Public Member Functions

| VersionCheckThread ()
| Construct a new Version Check Thread object. More...

## Protected Member Functions

void | run () override

## Private Attributes

QByteArray | latest_reply_bytes_
QByteArray | current_reply_bytes_

## Constructor & Destructor Documentation

## VersionCheckThread()

GpgFrontend::UI::VersionCheckThread::VersionCheckThread | ( |  | ) |

explicit

Construct a new Version Check Thread object.

## Member Function Documentation

## SignalUpgradeVersion

void GpgFrontend::UI::VersionCheckThread::SignalUpgradeVersion | ( | SoftwareVersion | version | ) |

signal

Parameters

  version |

Referenced by GpgFrontend::UI::UpdateTab::getLatestVersion(), and GpgFrontend::UI::MainWindow::Init().

The documentation for this class was generated from the following files:

- src/ui/thread/VersionCheckThread.h
- src/ui/thread/VersionCheckThread.cpp